Subject: bug#48377: 27.1; pixel-scroll-mode is unusable with popular modelines

From: Stefan Kangas <[email-masked]>
Date: Wed, 17 Aug 2022 03:37:32 -0700

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

>> `pixel-scroll-precision-mode` seems to work well. I guess we can
>> close this issue.
>
> Thanks, closing.  pixel-scroll-precision-mode also has some knobs that
> let it work with a regular mouse.  They don't work very well yet, but
> once I clean them up we can probably obsolete (or at least rename) the
> old pixel-scroll-mode to avoid confusion.

Is there any reason why `pixel-scroll-precision-mode' doesn't just
replace `pixel-scroll-mode'?